com.fasterxml.jackson.databind.deser

## Class SettableAnyProperty.MethodAnyProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.SettableAnyProperty
  - - com.fasterxml.jackson.databind.deser.SettableAnyProperty.MethodAnyProperty

All Implemented Interfaces:
  Serializable

Enclosing class:
  SettableAnyProperty

    protected static class SettableAnyProperty.MethodAnyProperty
    extends SettableAnyProperty
    implements Serializable

Since:
  2.14
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`SettableAnyProperty.JsonNodeFieldAnyProperty, SettableAnyProperty.JsonNodeParameterAnyProperty, SettableAnyProperty.MapFieldAnyProperty, SettableAnyProperty.MapParameterAnyProperty, SettableAnyProperty.MethodAnyProperty`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_keyDeserializer, _property, _setter, _setterIsField, _type, _valueDeserializer, _valueTypeDeserializer`

### Constructor Summary

Constructors
Constructor and Description
`MethodAnyProperty(BeanProperty property, AnnotatedMember field, JavaType valueType, KeyDeserializer keyDeser, JsonDeserializer<Object> valueDeser, TypeDeserializer typeDeser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `_set(Object instance, Object propName, Object value)`
`SettableAnyProperty` `withValueDeserializer(JsonDeserializer<Object> deser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableAnyProperty

`_throwAsIOE, constructForJsonNodeField, constructForJsonNodeParameter, constructForMapField, constructForMapParameter, constructForMethod, createParameterObject, deserialize, deserializeAndSet, fixAccess, getParameterIndex, getProperty, getPropertyName, getType, hasValueDeserializer, set, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodAnyProperty

    public MethodAnyProperty(BeanProperty property,
                             AnnotatedMember field,
                             JavaType valueType,
                             KeyDeserializer keyDeser,
                             JsonDeserializer<Object> valueDeser,
                             TypeDeserializer typeDeser)

### Method Detail

#### _set

    protected void _set(Object instance,
                        Object propName,
                        Object value)
                 throws Exception

Specified by:
  `_set` in class `SettableAnyProperty`
Throws:
  `Exception`

#### withValueDeserializer

    public SettableAnyProperty withValueDeserializer(JsonDeserializer<Object> deser)

Specified by:
  `withValueDeserializer` in class `SettableAnyProperty`